June 10, 2005
Updated to work with Doom 3 v1.3.

March 17, 2005
Updated to work with new HL2 protocol.

February 2, 2005
Altered application icon and "sponsored by" logo for registered users.

Jan 31, 2005
In September of 2004, Yahoo! Inc. acquired The All-Seeing Eye. Yahoo! (tm) is excited to release the first version of The All-Seeing Eye under the Yahoo! brand.

During the testing of this release, Yahoo! received extensive feedback from users of The All-Seeing Eye about why they use the product and why they like it. As a result of this feedback, you will notice very little has changed from earlier versions.

We at Yahoo! hope you like this new version and encourage you to add your feedback to that we have already received.

Nov 15. 2004
- MOHPA support

Aug 27. 2004
- fixed some Source bugs

Aug 21. 2004
- Counter-Strike Source support

Aug 4. 2004
- DOOM 3 support
- fixed Steam launching

Jun 12. 2004
- improved UT2004 support

Feb 4. 2004
- fixed some Steam issues
- BF1942 reserved slot detection

Nov 1. 2003
- Call of Duty
- support for co-branding customizations, contact our licensing department for more info

Oct 7. 2003
- Savage and Halo

Sep 22. 2003
- removed launcher message, using voodoo magic instead

Sep 19. 2003
- fixed several Steam issues (don't try to set the exe paths manually, let ASE detect everything)
- support for DirectPlay8 games (AoW:SM)
- Jedi Academy support
- added "Broken router" option in Options/Network, try checking that one if having problems pinging

Aug 12. 2003
- added invitation options in File/User Profile
- autoaway plugin system
- support for AA 1.9

Jul 18. 2003
- fix

Jul 18. 2003
- Moto GP 2 support
- fixed ET servers showing up as Q3 servers
- fixed C-D not closing
- support for Play For Cash servers

Jul 12.
- added lobby support for Ghost Recon and Rogue Spear
- fixed RoN version display
- support for Counter-Strike Steam (1.6 beta) - the Steam Beta is now open for everyone, you can get the client at www.fileshack.com

Jun 26.
- added version column in lobby window
- full Raven Shield support
- support for Rise of Nations and Elite Force 2

Jun 15. 2003
- this is ASE 2.0 final

Jun 13. 2003
- improved lobby support

Jun 9. 2003
- more lobby fixes

Jun 9. 2003
- fixed lobby crash bug

Jun 8. 2003
- more bug fixes :)

Jun 8. 2003
- bug fixes

Jun 6. 2003
- improved buddy tracker, you can now track ASE users by their id number
- buddy groups
- more sound events, see options/sounds
- player invitation system
- game patcher, you will get automatic notifications of new patches for installed games, also tools/find patches
- support for peer-to-peer games                                             .

                                                                                                                                     .

May 15. 2003
- Raven Shield support - launching is still a bit buggy in 1.2 but at least we have a server list now

ASE 2.0 will be hitting beta soon, see the web site for details.

Apr 24. 2003
- added support for amx_real_res_slots (HL reserved slot detection)
- fixed SOF2 colors
- re-enabled Cheating-Death for CS retail
- added hotkeys for common filter functions
- added T2 team scores in server monitor

Attention Nordic users: one of our payment processors (Share-It) has recently set up a bank account at Nordea, so it is now possible to register ASE with a direct wire transfer/tilisiirto/girering. See the registration page for details.

Mar 18. 2003
- fixed bogus scanner load messages
- fixed Gore player list

Mar 14. 2003
- Freelancer support (sorry guys, that's the best we can do with this game)
- NOLF2 support
- fixed another rcon crash bug

Feb 23. 2003
- fixed UT/UT2003 pinging
- fixed rcon crash bug
- fixed game icon disappearing if commandline options used
- fixed player list not updating when switching filters
- RalliSport Challenge support

Feb 1. 2003
- automatic scanner load balancing
- support for Valve Anti-Cheat (filtering)
- server monitor now displays mp_timeleft for HL mods
- lots of misc tweaks/fixes
- FileShack integration. Since FileShack is such a cool service, we decided to add a FileShack browser directly in ASE. So whenever you need a game patch or a demo, just click on the shack icon in the toolbar!

Dec 9. 2002
- automatic scanner switching in case of network outage
- fixed installed maps indicator for a bunch of newer games
- "import server list" and "add buddy" now support all games
- fixed UT2003 new server pinging (no more gray servers)
- fixed a bunch of crashes/hangs/oddities

(the new autoupdate speed limit only affects exe updates)

Oct 20. 2002
- fixed America's Army v1.3 score display
- fixed cheating-death error message popping up
- sorting by map or game now disregards case
- added "LAN server scan range" in options/misc

Oct 9. 2002
- compressed filter updates
- support for new UT2003 query protocol

Sep 26. 2002
- dynamic IP support (add a server with a hostname and ASE will resolve the IP on each run (also Tools -> Resolve DNS names))
- Stop Winamp now works with Winamp 3.0
- fixed "downloading 63k updates"
- fixed some NVIDIA display driver related problems

Sep 13. 2002
- fixed modifiers resetting on filter updates
- fixed "scanning 1 stale servers" hang
- fixed a bunch of other minor bugs
- "connect as spectator" on a Half-Life server now launches HLTV and connects it to the server

Aug 28. 2002
- added "Enable DDE" checkbox (Options/DDE)
- fixed some DDE bugs

BF1942 update: EA/DICE are working on a patch for the demo which among other things will add support for ASE.

Aug 18. 2002
- IRC launcher
- DDE support (mIRC autoaway) (Options/DDE)

The BF1942 situation: Gamespy is holding the server list hostage, so unless we get direct support from the developers, there's nothing we can do. Sorry.

Jul 29. 2002
- improved dead scanner handling
- added buddy signon sound (Options/Sounds)

Jul 11. 2002
- re-enabled Cheating-Death support
- SOF2 1.01 fixes, server monitor shows teams and team scores
- improved HL Admin Mod open slot detection

Jul 4. 2002
- really fixed SOF2 font loading :)
- added "Auto-select parent" in Filter menu

GlobalOps demo, Gore, Neverwinter Nights, OpFlash Resistance and America's Army don't have public master servers, hence they will not be supported unless the developers add direct support for All-Seeing Eye. This is a free service to game developers, it's up to you to let the developers know what the number one browser is.

Jun 13. 2002
- fixed Half-Life version filtering
- fixed SOF2 font loading

May 23. 2002
- support for Soldier of Fortune 2 retail and Sum of All Fears demo&retail
- removed Paladin & Cheating-Death (non-functional for now)

Apr 23. 2002
- LAN server support (Tools/Find LAN servers)
- fixed Steam support
- SOF2 fixes
- Tribes 2 buddy tracker now disregards clan tag

Apr 18. 2002
- Soldier of Fortune 2 support

Apr 17. 2002
- more ICQ options
- fixed JK2 "no bots" filter
- fixed Cheating-Death not closing
- fixed server password entering
- removed Half-Life PunkBuster support (obsolete)
- MOHAA scores aren't coming back, that's the tradeoff for having more server rules visible (reserved spot detection)

Apr 8. 2002
- enhanced MOHAA support (reserved spot detection) (you'll have to re-add MOHAA buddies/favorites)
- fixed Q3 rcon

Apr 1. 2002
- enabled MOHAA player kicking
- bug fixes

Mar 29. 2002
- Jedi Knight II support
- fixed MOHAA rcon
- fixed UT player list bug

Mar 16. 2002
- Live Tech Support launched! :) See the Help menu.
- fixed Global Ops passworded server joining
- support for OSP style fun names (Quake 3)

Mar 7. 2002
- server/player count display for built-in filters (see Filter menu)
- fixed Lithtech packet loss
- new option: "delete servers hid by modifiers" (options/misc)
- Steam support

Feb 17. 2002
- fixed Half-Life server refreshing (fragmented packet support)
- fixed "favorites are immune to modifiers" not saving

Feb 10. 2002
- fixed autoupdater (the new method doesn't seem to work for a lot of people so the updater is now trying with both the new and the old method, this download might still cause problems, use the Installer to update in that case)
- fixed start-up favorite refresh causing problems with web link launching
- fixed new servers not getting listed when scanner overloaded
- added code to check for half-assed proxy hacks

Feb 7. 2002
- fixed buddy crash bug
- fixed autoupdate (this download is still using the old system. if you are unable to download the patch, use the installer to update (won't delete your settings))

Feb 4. 2002
- support for Shadow Force: Razor Unit demo
- support for Kingpin Cheat Detection System
- more Ghost Recon server info variables
- bug fixes

Jan 20. 2002
- new game support: BG2: Throne of Bhaal, Codename: Outbreak, Counter-Strike retail, Gunman Chronicles, Serious Sam 2 demo
- support for Cheating-Death Anticheat (www.cheating-death.com)
- fixed Paladin ICQ away msg problem
- game handling totally rewritten, you'll have to reconfigure all game settings

Dec 14. 2001
- support for Medal Of Honor demo
- Winamp autostop (options/events)

Dec 12. 2001
- support for IL-2 Sturmovik
- support for Paladin (www.paladin-anticheat.com)
- bug fixes
- new ping booster and FAQ: http://www.udpsoft.com/booster/

Dec 1. 2001
- bug fixes
- if you play Half-Life, check out http://www.udpsoft.com/booster/

Nov 24. 2001
- bug fixes

Nov 18. 2001
- support for Rogue Spear: Urban Operations
- added "options\network\packets per second"

Nov 15. 2001
- Q3/EF/RTCW maxclients = sv_maxclients - sv_privateClients
- OFP password hack
- bug fixes

Nov 13. 2001
- Ghost Recon retail support
- bug fixes

Nov 11. 2001
- Ghost Recon (demo) support
- QW player colors are back
- added "options\misc\refresh favorites at start up"
- added "options\network\ignore ICMP messages"

Nov 6. 2001
- Aliens vs. Predator 2 support
- RTCW MP Test 2 font fix

Nov 4. 2001
- messaging system, you can now send messages/servers/filters to a group of users (Channels menu)

Oct 27. 2001
- web browser-like navigation arrows
- support for Giants: Citizen Kabuto

Oct 21. 2001
- Aliens vs. Predator 2 demo support
- busy redial works for OFP "game in progress" servers

Oct 19. 2001
- OFP fix

Oct 19. 2001
- Gore demo support

Oct 17. 2001
- bug fixes

Oct 17. 2001
- support for OFP standalone server query protocol (see Oldies/Operation Flashpoint)
- last played log (tools/last played log)
- buddy log
- fixed Q2 mod launching
- scans registry for installed games (sets cmd lines automatically)

Sep 30. 2001
- support for Baldur's Gate, Baldur's Gate 2, BattleZone 2, Blood 2, Codename Eagle, Daikatana, Deer Hunter 3, Deer Hunter 4, Deer Hunter 5, Descent 3, Deus Ex, Drakan, Heretix 2, KISS: Psycho Circus, Laser Arena, Nerf ArenaBlast, Rally Masters, Redline, Rune, Shogo, South Park, Terminus, Trophy Hunter 3, Turok 2, Unreal, Wheel of Time and Wild Wings
- OFP password support
- fixed QW password bug
- customizable ICQ away message (options/general/misc)

Sep 24. 2001
- options to speed up initialization/exit (options/general/misc/don't save server info)
- fixed a bunch of rcon related bugs

Sep 20. 2001
- HLTV support

Sep 19. 2001
- you can now have up to 30 favorite folders! :) (options/general/misc)
- fixed UT password stuff
- fixed Q2 mod launching

Sep 16. 2001
- fixed some Wolfenstein stuff

Sep 15. 2001
- Return To Castle Wolfenstein support
- URL moniker support (eye:SERVERTYPE://ip:port)
- zkillz points display in player context menu

Sep 11. 2001
- improved filter optimizer
- added "Special" folder
- fixed player search wildcard escaping
- .eye format now supports "import TYPE://IP:PORT"

Sep 5. 2001
- server monitor shows (when available) team info, team scores and time remaining
- fixed selected server tracking

Sep 3. 2001
- added create server option
- fixed Operation Flashpoint stuff

Aug 28. 2001
- crash bug fix

Aug 28. 2001
- font handling rewritten (new settings in options/colors)
- imports gamespy server lists
- fixed dead server handling
- option to sort favorites or buddy servers to top of list (options/general/misc)
- shell integration (see web page)

Aug 22. 2001
- recognizes color codes in server names (options/general/misc to disable colors)
- fixed NOLF font
- fixed QW crash bug

Aug 21. 2001
- fixed custom config

Aug 20. 2001
- Roger Wilco integration (filter/custom config)
- fixed HL config loading
- some other small fixes

Aug 16. 2001
- NOLF font & map finder
- {players} and {linefeed} can be used in custom copy
- esc = stop refresh

Aug 12. 2001
- No One Lives Forever support
- UT Infiltration and Strike Force support
- fixed UT custom config launching
- shows mod icons in server list (options/general/misc to disable)
- moved refresh progress indicator to status bar

Aug 9. 2001
- enabled copy to clipboard when multiple servers selected
- custom copy format (options/general/misc)
- fixed Elite Force font

Jul 30. 2001
- ip copy on game launch now optional (options/events)
- checks sv_privateClients when connecting to a Q3 game
- fixed filter crash bug

Jul 25. 2001
- fixed it

Jul 25. 2001
- Star Trek Voyager Elite Force support
- shows maps you don't have in red
- built-in filters can be deleted and restored
- no longer saves unwanted servers in servers.dat
- new Half-Life font

Jul 20. 2001
- fixed UT Tactical Ops launching
- returns ICQ status (options/events)
- Modifiers work on Favorites (options/general/misc)
- copies server address to clipboard on game launch

Jul 17. 2001
- buddy name search
- added modifier group name edit box in filter editor
- added option to change the text color of the entire server list row if server passes filter

Jul 12. 2001
- fixed color filter bug

Jul 10. 2001
- color filters (right click on a filter and select "make color filter")
- bot filters (variable name = bots)
- import server list option (file menu)
- smart "new server" dialog
- SoF 1.07 support

Jul 5. 2001
- Operation Flashpoint

Jul 4. 2001
- fixed Half-Life config loading

Jul 3. 2001
- QCheck support (LaunchInfo.txt)
- more keyboard shortcuts (check the menus)
- "speed search" in server list
- minimize on game launch (options/events)

Jun 29. 2001
- name changer (tools menu or ctrl-n)
- minimize to systray (options/general/misc)

Jun 27. 2001
- ICQ integration (options/events)
- added name field to custom launch options
- fixed bandwidth autodetection

Jun 26. 2001
- more bug fixes
- improved bandwidth detector

Jun 25. 2001
- bug fixes

Jun 24. 2001
- server finder (ctrl-f)
- uninstaller (file menu)
- fixed a number of bugs, check msg board for more info

Jun 22. 2001
- added keyboard shortcuts: ctrl-a = select all, ctrl-c = copy ip, ctrl-p- added keyboard shortcuts: ctrl-a = select all, ctrl-c = copy ip, ctrl-p/s/r = ping/scan/refresh selected
- fixed "Cbuf_InsertTextLines: overflow" bug
Jun 21. 2001
- fixed "config not loading" bug
Jun 21. 2001
- launch options (config file / cmd line) can be set independently for each filter
- removed player profile listbox, leave a note on the message board if you miss it
Jun 19. 2001
- new configuration options in options/general/misc
- servers can be added directly to Favorites with the "new server" dialog
- added player profile listbox in toolbar for fast switching
Jun 17. 2001
- insert, delete and tab keys have functions
- server name and address written in server.txt on game launch
- option to exit on game launch, see options/events
- board url changed to forum.edome.net/eye
Jun 15. 2001
- fixed a few small bugs
- enabled doubleclicking (=connect) in server list
Jun 15. 2001
- v1.0 hallelujah!
May 23. 2001
- long time no C
May 6. 2001
- fixed some stuff
Apr 20. 2001
- new icons
- fixed T2 pinging
- w2k compatible about box
Apr 13. 2001
- fixed some bugs
Apr 11. 2001
- made certain filters immune to modifiers
Apr 11. 2001
- Tribes 2 font
Apr 9. 2001
- Tribes 2
Apr 3. 2001
- added ban option in player context menu (HL only)
Mar 29. 2001
- main scanner moving to eye.edome.net (194.251.249.103)
Mar 27. 2001
- scanner stats!
Mar 25. 2001
- fixed some stuff
Mar 24. 2001
- preliminary Serious Sam support
Mar 23. 2001
- player search
Mar 19. 2001
- exe finder
Mar 18. 2001
- fixed some bugs
Mar 18. 2001
- fixed HL rcon (broken by 1.1.0.6 patch)
Mar 12. 2001
- tooltips
Mar 10. 2001
- fixed buddy adding bug
Mar 10. 2001
- added flags for Saint Lucia, Paraguay and Tajikistan!
Mar 5. 2001
- fixed "reg code in use" bug
Mar 2. 2001
- fixed password icon
Feb 28. 2001
- filter editor
- clickable _MOD_URL and _MOD_Download fields in HL server rules
Feb 22. 2001
- buddy list initializes faster
Feb 15. 2001
- options/network/auto-detect connection settings
Feb 13. 2001
- fixed pinging bug
Feb 13. 2001
- changed some PunkBuster stuff
Feb 10. 2001
- added "Wait for PunkBuster to start before launching Half-Life" option
Feb 9. 2001
- PunkBuster support (Options/Half-Life/PunkBuster)
- speeded up (de)compression quite a bit
Feb 5. 2001
- changed some compression stuff, exe update required
Feb 3. 2001
- fixed QW player kicking
Feb 2. 2001
- added kick option in player context menu
- server rules can be changed by double clicking on them
- more game specific configuration options
- Quake 2 proxy support
- fixed auto-update starting when window not active
Jan 28. 2001
- added l33t "fan report" feature
- fixed filter renaming "bug"
- automatically unselects nasty modifiers
Jan 28. 2001
- added digital signature verification for auto-update files
bye
